Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.util.math
Class Interval<T extends Comparable<? super T>>

    java.lang.Object
      org.pdfclown.util.math.Interval<T>

    public final class Interval<T extends Comparable<? super T>>

extends Object

An interval of comparable objects.

Since:
  0.1.0
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Interval(T low, T high)`
`Interval(T low, T high, boolean lowInclusive, boolean highInclusive)`

Method Summary
`boolean` | `contains(T value)` Gets whether the specified value is contained within this interval.
`T` | `getHigh()` Gets the higher interval endpoint.
`T` | `getLow()` Gets the lower interval endpoint.
`boolean` | `isHighInclusive()` Gets whether the higher endpoint is inclusive.
`boolean` | `isLowInclusive()` Gets whether the lower endpoint is inclusive.
`void` | `setHigh(T value)`
`void` | `setHighInclusive(boolean value)`
`void` | `setLow(T value)`
`void` | `setLowInclusive(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Interval

    public Interval(T low,
                    T high)

### Interval

    public Interval(T low,
                    T high,
                    boolean lowInclusive,
                    boolean highInclusive)

Method Detail

### contains

    public boolean contains(T value)

  Gets whether the specified value is contained within this interval.

  Parameters:
    `value` - Value to check for containment.

### getHigh

    public T getHigh()

  Gets the higher interval endpoint.

### getLow

    public T getLow()

  Gets the lower interval endpoint.

### isHighInclusive

    public boolean isHighInclusive()

  Gets whether the higher endpoint is inclusive.

### isLowInclusive

    public boolean isLowInclusive()

  Gets whether the lower endpoint is inclusive.

### setHigh

    public void setHigh(T value)

  See Also:
    `getHigh()`

### setHighInclusive

    public void setHighInclusive(boolean value)

  See Also:
    `isHighInclusive()`

### setLow

    public void setLow(T value)

  See Also:
    `getLow()`

### setLowInclusive

    public void setLowInclusive(boolean value)

  See Also:
    `isLowInclusive()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.